### Toggle

Category

Interactor

Function

Selects between two possible outputs.

Syntax

Available only through the user interface.

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`setval` | value, string | 1 | output value when set
`unsetval` | value, string | 0 | output value when set
`label` | string | no default | interactor label

Outputs

Name | Type | Description
--- | --- | ---
`output` | value, string | selected toggle value

Functional Details

This interactor allows the user to interactively choose between two different outputs. Through inputs to the module (outputs from other tools or values set in its configuration dialog box) the interactor can be "data driven."

If the interactor is not data driven, its attributes (i.e., the two possible output values) are taken from its `Set Attributes...` dialog box (accessed from the `Edit` pull-down menu in the Control Panel).

Note: The module's control panel is invoked by double-clicking on its icon in the VPE window. Its configuration dialog box is accessed from the `Edit` pull-down menu in the same window.

`setval` | is the value put out when the toggle is set.
`unsetval` | is the value put out when the toggle is not set.
`label` | is the global label of all instances of the corresponding interactor stand-in. An interactors instance's local label (set from the Control Panel) overrides a global label. If not specified, the global label is set by the user interface.

Example Visual Programs

    UsingSwitchAndRoute.net

See Also Selector

[ OpenDX Home at IBM | OpenDX.org ]